# ApplicationFramework
PTKernel
DBC

# DBC_VArrayNodeOfVArrayOfReal Class Reference

`#include <DBC_VArrayNodeOfVArrayOfReal.hxx>`

Inheritance diagram for DBC_VArrayNodeOfVArrayOfReal:

[legend]

## Public Member Functions

Standard_EXPORT | DBC_VArrayNodeOfVArrayOfReal ()
Standard_EXPORT | DBC_VArrayNodeOfVArrayOfReal (const Standard_Real &aValue)
Standard_EXPORT void | SetValue (const Standard_Real &aValue)
Standard_EXPORT Standard_Address | Value () const
| DBC_VArrayNodeOfVArrayOfReal (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetDBC_VArrayNodeOfVArrayOfRealmyValue () const
void | _CSFDB_SetDBC_VArrayNodeOfVArrayOfRealmyValue (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myValue

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayNodeOfVArrayOfReal::DBC_VArrayNodeOfVArrayOfReal | ( |  | ) |

Standard_EXPORT DBC_VArrayNodeOfVArrayOfReal::DBC_VArrayNodeOfVArrayOfReal | ( | const Standard_Real & | aValue | ) |

DBC_VArrayNodeOfVArrayOfReal::DBC_VArrayNodeOfVArrayOfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real DBC_VArrayNodeOfVArrayOfReal::_CSFDB_GetDBC_VArrayNodeOfVArrayOfRealmyValue | ( |  | ) | const`[inline]`

void DBC_VArrayNodeOfVArrayOfReal::_CSFDB_SetDBC_VArrayNodeOfVArrayOfRealmyValue | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const DBC_VArrayNodeOfVArrayOfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void DBC_VArrayNodeOfVArrayOfReal::SetValue | ( | const Standard_Real & | aValue | ) |

Standard_EXPORT Standard_Address DBC_VArrayNodeOfVArrayOfReal::Value | ( |  | ) | const

## Field Documentation

Standard_Real DBC_VArrayNodeOfVArrayOfReal::myValue `[private]`

The documentation for this class was generated from the following file:

- DBC_VArrayNodeOfVArrayOfReal.hxx